All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::GpuMultipleClonerOptions Struct Reference
Inheritance diagram for faiss::gpu::GpuMultipleClonerOptions:

## Public Attributes

bool | shard
Public Attributes inherited from faiss::gpu::GpuClonerOptions
IndicesOptions | indicesOptions
bool | useFloat16CoarseQuantizer
| is the coarse quantizer in float16?
bool | useFloat16
bool | usePrecomputed
| use precomputed tables?
long | reserveVecs
| reserve vectors in the invfiles?
bool | storeTransposed
| For GpuIndexFlat, store data in transposed layout?
bool | verbose
| Set verbose options on the index.

## Detailed Description

Definition at line 44 of file GpuClonerOptions.h.

## Member Data Documentation

bool faiss::gpu::GpuMultipleClonerOptions::shard

Whether to shard the index across GPUs, versus replication across GPUs

Definition at line 49 of file GpuClonerOptions.h.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/gpu/GpuClonerOptions.h
- /data/users/matthijs/github_faiss/faiss/gpu/GpuAutoTune.cpp
- /data/users/matthijs/github_faiss/faiss/gpu/GpuClonerOptions.cpp